-- 	SaveMotorStatus Script
--
-- 	Author: 	Silas770
-- 	Date:		23.06.2018
--	Version:	1.0 (LS17)
--
--	Contact at NKB Modding:
--	https://nkb-modding.com/index.php/User/6877-Silas770/
--

SaveMotorStatus = {};

function SaveMotorStatus.prerequisitesPresent(specializations)
	return true;
end;

function SaveMotorStatus:load(savegame)
end;

function SaveMotorStatus:postLoad(savegame)
	if savegame ~= nil then
		local motorTurnedOn = Utils.getNoNil(getXMLBool(savegame.xmlFile, savegame.key.."#isMotorStarted"), false);
		if motorTurnedOn then
			self:startMotor();
		end;
	end;
end;

function SaveMotorStatus:delete()
end;

function SaveMotorStatus:mouseEvent(posX, posY, isDown, isUp, button)
end;

function SaveMotorStatus:keyEvent(unicode, sym, modifier, isDown)
end;

function SaveMotorStatus:update(dt)
end;

function SaveMotorStatus:draw()
end;

function SaveMotorStatus:getSaveAttributesAndNodes(nodeIdent)
	if self.isMotorStarted ~= nil and self.isMotorStarted then
		local attributes = 'isMotorStarted="'..tostring(self.isMotorStarted)..'"';
		return attributes, nil;
	end;
	return nil, nil;
end;